Table of Contents

Class: CRUFT_WatchyThingie | Twisted-0.17.4/twisted/manhole/explorer.py
--- | ---

Methods |
--- | ---
watchIdentifier watchObject
| watchIdentifier

    watchIdentifier (
            self,
            identifier,
            callback,
            )

### Watch the object returned by evaluating the identifier.

Whenever I think the object might have changed, I'll send an ObjectLink of it to the callback.

WARNING: This calls eval() on its argument!

| watchObject

    watchObject (
            self,
            object,
            identifier,
            callback,
            )

### Watch the given object.

Whenever I think the object might have changed, I'll send an ObjectLink of it to the callback.

The identifier argument is used to generate identifiers for objects which are members of this one.

Exceptions |
--- | ---
TypeError, "Sorry, can only place a watch on Instances."

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:57 2002 by HappyDoc version 2.0